<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_202) on Tue Apr 28 15:50:06 CEST 2020 -->
<title>ExpressionsPackage</title>
<meta name="date" content="2020-04-28">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="ExpressionsPackage";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":6,"i1":6,"i2":6,"i3":6,"i4":6};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/ExpressionsPackage.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../org/polarsys/chess/chessmlprofile/Expressions/ExpressionsFactory.html" title="interface in org.polarsys.chess.chessmlprofile.Expressions"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../org/polarsys/chess/chessmlprofile/Expressions/ExpressionsPackage.Literals.html" title="interface in org.polarsys.chess.chessmlprofile.Expressions"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/polarsys/chess/chessmlprofile/Expressions/ExpressionsPackage.html" target="_top">Frames</a></li>
<li><a href="ExpressionsPackage.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.polarsys.chess.chessmlprofile.Expressions</div>
<h2 title="Interface ExpressionsPackage" class="title">Interface ExpressionsPackage</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Superinterfaces:</dt>
<dd>org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EPackage, org.eclipse.emf.common.notify.Notifier</dd>
</dl>
<dl>
<dt>All Known Implementing Classes:</dt>
<dd><a href="../../../../../org/polarsys/chess/chessmlprofile/Expressions/impl/ExpressionsPackageImpl.html" title="class in org.polarsys.chess.chessmlprofile.Expressions.impl">ExpressionsPackageImpl</a></dd>
</dl>
<hr>
<br>
<pre>public interface <span class="typeNameLabel">ExpressionsPackage</span>
extends org.eclipse.emf.ecore.EPackage</pre>
<div class="block"><!-- begin-user-doc -->
 The <b>Package</b> for the model.
 It contains accessors for the meta objects to represent
 <ul>
   <li>each class,</li>
   <li>each feature of each class,</li>
   <li>each enum,</li>
   <li>and each data type</li>
 </ul>
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../org/polarsys/chess/chessmlprofile/Expressions/ExpressionsFactory.html" title="interface in org.polarsys.chess.chessmlprofile.Expressions"><code>ExpressionsFactory</code></a></dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="nested.class.summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Nested Class Summary table, listing nested classes, and an explanation">
<caption><span>Nested Classes</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Interface and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static interface&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/polarsys/chess/chessmlprofile/Expressions/ExpressionsPackage.Literals.html" title="interface in org.polarsys.chess.chessmlprofile.Expressions">ExpressionsPackage.Literals</a></span></code>
<div class="block">Defines literals for the meta objects that represent
 
   each class,
   each feature of each class,
   each enum,
   and each data type
 
 <!-- end-user-doc --></div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="nested.classes.inherited.from.class.org.eclipse.emf.ecore.EPackage">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from interface&nbsp;org.eclipse.emf.ecore.EPackage</h3>
<code>org.eclipse.emf.ecore.EPackage.Descriptor, org.eclipse.emf.ecore.EPackage.Registry</code></li>
</ul>
</li>
</ul>
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="../../../../../org/polarsys/chess/chessmlprofile/Expressions/ExpressionsPackage.html" title="interface in org.polarsys.chess.chessmlprofile.Expressions">ExpressionsPackage</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/polarsys/chess/chessmlprofile/Expressions/ExpressionsPackage.html#eINSTANCE">eINSTANCE</a></span></code>
<div class="block">The singleton instance of the package.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/polarsys/chess/chessmlprofile/Expressions/ExpressionsPackage.html#eNAME">eNAME</a></span></code>
<div class="block">The package name.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/polarsys/chess/chessmlprofile/Expressions/ExpressionsPackage.html#eNS_PREFIX">eNS_PREFIX</a></span></code>
<div class="block">The package namespace name.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/polarsys/chess/chessmlprofile/Expressions/ExpressionsPackage.html#eNS_URI">eNS_URI</a></span></code>
<div class="block">The package namespace URI.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/polarsys/chess/chessmlprofile/Expressions/ExpressionsPackage.html#MACRO_DEFINITION">MACRO_DEFINITION</a></span></code>
<div class="block">The meta object id for the '<a href="../../../../../org/polarsys/chess/chessmlprofile/Expressions/impl/MacroDefinitionImpl.html" title="class in org.polarsys.chess.chessmlprofile.Expressions.impl"><code><em>Macro Definition</em></code></a>' class.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/polarsys/chess/chessmlprofile/Expressions/ExpressionsPackage.html#MACRO_DEFINITION__BASE_CONSTRAINT">MACRO_DEFINITION__BASE_CONSTRAINT</a></span></code>
<div class="block">The feature id for the '<em><b>Base Constraint</b></em>' reference.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/polarsys/chess/chessmlprofile/Expressions/ExpressionsPackage.html#MACRO_DEFINITION_FEATURE_COUNT">MACRO_DEFINITION_FEATURE_COUNT</a></span></code>
<div class="block">The number of structural features of the '<em>Macro Definition</em>' class.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/polarsys/chess/chessmlprofile/Expressions/ExpressionsPackage.html#PARAMETER_ASSUMPTIONS">PARAMETER_ASSUMPTIONS</a></span></code>
<div class="block">The meta object id for the '<a href="../../../../../org/polarsys/chess/chessmlprofile/Expressions/impl/ParameterAssumptionsImpl.html" title="class in org.polarsys.chess.chessmlprofile.Expressions.impl"><code><em>Parameter Assumptions</em></code></a>' class.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/polarsys/chess/chessmlprofile/Expressions/ExpressionsPackage.html#PARAMETER_ASSUMPTIONS__BASE_CONSTRAINT">PARAMETER_ASSUMPTIONS__BASE_CONSTRAINT</a></span></code>
<div class="block">The feature id for the '<em><b>Base Constraint</b></em>' reference.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/polarsys/chess/chessmlprofile/Expressions/ExpressionsPackage.html#PARAMETER_ASSUMPTIONS_FEATURE_COUNT">PARAMETER_ASSUMPTIONS_FEATURE_COUNT</a></span></code>
<div class="block">The number of structural features of the '<em>Parameter Assumptions</em>' class.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a href="javascript:show(4);">Abstract Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code><a href="../../../../../org/polarsys/chess/chessmlprofile/Expressions/ExpressionsFactory.html" title="interface in org.polarsys.chess.chessmlprofile.Expressions">ExpressionsFactory</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/polarsys/chess/chessmlprofile/Expressions/ExpressionsPackage.html#getExpressionsFactory--">getExpressionsFactory</a></span>()</code>
<div class="block">Returns the factory that creates the instances of the model.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/polarsys/chess/chessmlprofile/Expressions/ExpressionsPackage.html#getMacroDefinition_Base_Constraint--">getMacroDefinition_Base_Constraint</a></span>()</code>
<div class="block">Returns the meta object for the reference '<a href="../../../../../org/polarsys/chess/chessmlprofile/Expressions/MacroDefinition.html#getBase_Constraint--"><code><em>Base Constraint</em></code></a>'.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EClass</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/polarsys/chess/chessmlprofile/Expressions/ExpressionsPackage.html#getMacroDefinition--">getMacroDefinition</a></span>()</code>
<div class="block">Returns the meta object for class '<a href="../../../../../org/polarsys/chess/chessmlprofile/Expressions/MacroDefinition.html" title="interface in org.polarsys.chess.chessmlprofile.Expressions"><code><em>Macro Definition</em></code></a>'.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/polarsys/chess/chessmlprofile/Expressions/ExpressionsPackage.html#getParameterAssumptions_Base_Constraint--">getParameterAssumptions_Base_Constraint</a></span>()</code>
<div class="block">Returns the meta object for the reference '<a href="../../../../../org/polarsys/chess/chessmlprofile/Expressions/ParameterAssumptions.html#getBase_Constraint--"><code><em>Base Constraint</em></code></a>'.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EClass</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/polarsys/chess/chessmlprofile/Expressions/ExpressionsPackage.html#getParameterAssumptions--">getParameterAssumptions</a></span>()</code>
<div class="block">Returns the meta object for class '<a href="../../../../../org/polarsys/chess/chessmlprofile/Expressions/ParameterAssumptions.html" title="interface in org.polarsys.chess.chessmlprofile.Expressions"><code><em>Parameter Assumptions</em></code></a>'.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.EPackage">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.ecore.EPackage</h3>
<code>getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.ENamedElement">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.ecore.ENamedElement</h3>
<code>getName, setName</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.EModelElement">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.ecore.EModelElement</h3>
<code>getEAnnotation, getEAnnotations</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.EObject">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.ecore.EObject</h3>
<code>eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.common.notify.Notifier">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.common.notify.Notifier</h3>
<code>eAdapters, eDeliver, eNotify, eSetDeliver</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="eNAME">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>eNAME</h4>
<pre>static final&nbsp;java.lang.String eNAME</pre>
<div class="block">The package name.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../constant-values.html#org.polarsys.chess.chessmlprofile.Expressions.ExpressionsPackage.eNAME">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="eNS_URI">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>eNS_URI</h4>
<pre>static final&nbsp;java.lang.String eNS_URI</pre>
<div class="block">The package namespace URI.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../constant-values.html#org.polarsys.chess.chessmlprofile.Expressions.ExpressionsPackage.eNS_URI">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="eNS_PREFIX">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>eNS_PREFIX</h4>
<pre>static final&nbsp;java.lang.String eNS_PREFIX</pre>
<div class="block">The package namespace name.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../constant-values.html#org.polarsys.chess.chessmlprofile.Expressions.ExpressionsPackage.eNS_PREFIX">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="eINSTANCE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>eINSTANCE</h4>
<pre>static final&nbsp;<a href="../../../../../org/polarsys/chess/chessmlprofile/Expressions/ExpressionsPackage.html" title="interface in org.polarsys.chess.chessmlprofile.Expressions">ExpressionsPackage</a> eINSTANCE</pre>
<div class="block">The singleton instance of the package.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="MACRO_DEFINITION">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>MACRO_DEFINITION</h4>
<pre>static final&nbsp;int MACRO_DEFINITION</pre>
<div class="block">The meta object id for the '<a href="../../../../../org/polarsys/chess/chessmlprofile/Expressions/impl/MacroDefinitionImpl.html" title="class in org.polarsys.chess.chessmlprofile.Expressions.impl"><code><em>Macro Definition</em></code></a>' class.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../org/polarsys/chess/chessmlprofile/Expressions/impl/MacroDefinitionImpl.html" title="class in org.polarsys.chess.chessmlprofile.Expressions.impl"><code>MacroDefinitionImpl</code></a>, 
<a href="../../../../../org/polarsys/chess/chessmlprofile/Expressions/impl/ExpressionsPackageImpl.html#getMacroDefinition--"><code>ExpressionsPackageImpl.getMacroDefinition()</code></a>, 
<a href="../../../../../constant-values.html#org.polarsys.chess.chessmlprofile.Expressions.ExpressionsPackage.MACRO_DEFINITION">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="MACRO_DEFINITION__BASE_CONSTRAINT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>MACRO_DEFINITION__BASE_CONSTRAINT</h4>
<pre>static final&nbsp;int MACRO_DEFINITION__BASE_CONSTRAINT</pre>
<div class="block">The feature id for the '<em><b>Base Constraint</b></em>' reference.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../constant-values.html#org.polarsys.chess.chessmlprofile.Expressions.ExpressionsPackage.MACRO_DEFINITION__BASE_CONSTRAINT">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="MACRO_DEFINITION_FEATURE_COUNT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>MACRO_DEFINITION_FEATURE_COUNT</h4>
<pre>static final&nbsp;int MACRO_DEFINITION_FEATURE_COUNT</pre>
<div class="block">The number of structural features of the '<em>Macro Definition</em>' class.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../constant-values.html#org.polarsys.chess.chessmlprofile.Expressions.ExpressionsPackage.MACRO_DEFINITION_FEATURE_COUNT">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="PARAMETER_ASSUMPTIONS">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>PARAMETER_ASSUMPTIONS</h4>
<pre>static final&nbsp;int PARAMETER_ASSUMPTIONS</pre>
<div class="block">The meta object id for the '<a href="../../../../../org/polarsys/chess/chessmlprofile/Expressions/impl/ParameterAssumptionsImpl.html" title="class in org.polarsys.chess.chessmlprofile.Expressions.impl"><code><em>Parameter Assumptions</em></code></a>' class.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../org/polarsys/chess/chessmlprofile/Expressions/impl/ParameterAssumptionsImpl.html" title="class in org.polarsys.chess.chessmlprofile.Expressions.impl"><code>ParameterAssumptionsImpl</code></a>, 
<a href="../../../../../org/polarsys/chess/chessmlprofile/Expressions/impl/ExpressionsPackageImpl.html#getParameterAssumptions--"><code>ExpressionsPackageImpl.getParameterAssumptions()</code></a>, 
<a href="../../../../../constant-values.html#org.polarsys.chess.chessmlprofile.Expressions.ExpressionsPackage.PARAMETER_ASSUMPTIONS">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="PARAMETER_ASSUMPTIONS__BASE_CONSTRAINT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>PARAMETER_ASSUMPTIONS__BASE_CONSTRAINT</h4>
<pre>static final&nbsp;int PARAMETER_ASSUMPTIONS__BASE_CONSTRAINT</pre>
<div class="block">The feature id for the '<em><b>Base Constraint</b></em>' reference.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../constant-values.html#org.polarsys.chess.chessmlprofile.Expressions.ExpressionsPackage.PARAMETER_ASSUMPTIONS__BASE_CONSTRAINT">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="PARAMETER_ASSUMPTIONS_FEATURE_COUNT">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>PARAMETER_ASSUMPTIONS_FEATURE_COUNT</h4>
<pre>static final&nbsp;int PARAMETER_ASSUMPTIONS_FEATURE_COUNT</pre>
<div class="block">The number of structural features of the '<em>Parameter Assumptions</em>' class.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../constant-values.html#org.polarsys.chess.chessmlprofile.Expressions.ExpressionsPackage.PARAMETER_ASSUMPTIONS_FEATURE_COUNT">Constant Field Values</a></dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getMacroDefinition--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getMacroDefinition</h4>
<pre>org.eclipse.emf.ecore.EClass&nbsp;getMacroDefinition()</pre>
<div class="block">Returns the meta object for class '<a href="../../../../../org/polarsys/chess/chessmlprofile/Expressions/MacroDefinition.html" title="interface in org.polarsys.chess.chessmlprofile.Expressions"><code><em>Macro Definition</em></code></a>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for class '<em>Macro Definition</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../org/polarsys/chess/chessmlprofile/Expressions/MacroDefinition.html" title="interface in org.polarsys.chess.chessmlprofile.Expressions"><code>MacroDefinition</code></a></dd>
</dl>
</li>
</ul>
<a name="getMacroDefinition_Base_Constraint--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getMacroDefinition_Base_Constraint</h4>
<pre>org.eclipse.emf.ecore.EReference&nbsp;getMacroDefinition_Base_Constraint()</pre>
<div class="block">Returns the meta object for the reference '<a href="../../../../../org/polarsys/chess/chessmlprofile/Expressions/MacroDefinition.html#getBase_Constraint--"><code><em>Base Constraint</em></code></a>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the reference '<em>Base Constraint</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../org/polarsys/chess/chessmlprofile/Expressions/MacroDefinition.html#getBase_Constraint--"><code>MacroDefinition.getBase_Constraint()</code></a>, 
<a href="../../../../../org/polarsys/chess/chessmlprofile/Expressions/ExpressionsPackage.html#getMacroDefinition--"><code>getMacroDefinition()</code></a></dd>
</dl>
</li>
</ul>
<a name="getParameterAssumptions--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getParameterAssumptions</h4>
<pre>org.eclipse.emf.ecore.EClass&nbsp;getParameterAssumptions()</pre>
<div class="block">Returns the meta object for class '<a href="../../../../../org/polarsys/chess/chessmlprofile/Expressions/ParameterAssumptions.html" title="interface in org.polarsys.chess.chessmlprofile.Expressions"><code><em>Parameter Assumptions</em></code></a>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for class '<em>Parameter Assumptions</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../org/polarsys/chess/chessmlprofile/Expressions/ParameterAssumptions.html" title="interface in org.polarsys.chess.chessmlprofile.Expressions"><code>ParameterAssumptions</code></a></dd>
</dl>
</li>
</ul>
<a name="getParameterAssumptions_Base_Constraint--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getParameterAssumptions_Base_Constraint</h4>
<pre>org.eclipse.emf.ecore.EReference&nbsp;getParameterAssumptions_Base_Constraint()</pre>
<div class="block">Returns the meta object for the reference '<a href="../../../../../org/polarsys/chess/chessmlprofile/Expressions/ParameterAssumptions.html#getBase_Constraint--"><code><em>Base Constraint</em></code></a>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the reference '<em>Base Constraint</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../org/polarsys/chess/chessmlprofile/Expressions/ParameterAssumptions.html#getBase_Constraint--"><code>ParameterAssumptions.getBase_Constraint()</code></a>, 
<a href="../../../../../org/polarsys/chess/chessmlprofile/Expressions/ExpressionsPackage.html#getParameterAssumptions--"><code>getParameterAssumptions()</code></a></dd>
</dl>
</li>
</ul>
<a name="getExpressionsFactory--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getExpressionsFactory</h4>
<pre><a href="../../../../../org/polarsys/chess/chessmlprofile/Expressions/ExpressionsFactory.html" title="interface in org.polarsys.chess.chessmlprofile.Expressions">ExpressionsFactory</a>&nbsp;getExpressionsFactory()</pre>
<div class="block">Returns the factory that creates the instances of the model.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the factory that creates the instances of the model.</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/ExpressionsPackage.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../org/polarsys/chess/chessmlprofile/Expressions/ExpressionsFactory.html" title="interface in org.polarsys.chess.chessmlprofile.Expressions"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../org/polarsys/chess/chessmlprofile/Expressions/ExpressionsPackage.Literals.html" title="interface in org.polarsys.chess.chessmlprofile.Expressions"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/polarsys/chess/chessmlprofile/Expressions/ExpressionsPackage.html" target="_top">Frames</a></li>
<li><a href="ExpressionsPackage.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
